InternalFrameFocusTraversalPolicy (Java SE 12 & JDK 12 )
Keywords: javax.swing.InternalFrameFocusTraversalPolicy class

Module java.desktop
Package javax.swing

## Class InternalFrameFocusTraversalPolicy

- java.lang.Object
- - java.awt.FocusTraversalPolicy
  - - javax.swing.InternalFrameFocusTraversalPolicy

- Direct Known Subclasses:
    `SortingFocusTraversalPolicy`

      public abstract class InternalFrameFocusTraversalPolicy
      extends FocusTraversalPolicy

  A FocusTraversalPolicy which can optionally provide an algorithm for determining a JInternalFrame's initial Component. The initial Component is the first to receive focus when the JInternalFrame is first selected. By default, this is the same as the JInternalFrame's default Component to focus.
  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalFrameFocusTraversalPolicy()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getInitialComponent​(JInternalFrame frame)` | Returns the Component that should receive the focus when a JInternalFrame is selected for the first time.

    - ### Methods declared in class java.awt.FocusTraversalPolicy

      `getComponentAfter, getComponentBefore, getDefaultComponent, getFirstComponent, getInitialComponent, getLastComponent`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalFrameFocusTraversalPolicy

          public InternalFrameFocusTraversalPolicy()

  - ### Method Detail

    - #### getInitialComponent

          public Component getInitialComponent​(JInternalFrame frame)

      Returns the Component that should receive the focus when a JInternalFrame is selected for the first time. Once the JInternalFrame has been selected by a call to `setSelected(true)`, the initial Component will not be used again. Instead, if the JInternalFrame loses and subsequently regains selection, or is made invisible or undisplayable and subsequently made visible and displayable, the JInternalFrame's most recently focused Component will become the focus owner. The default implementation of this method returns the JInternalFrame's default Component to focus.
      Parameters:
        `frame` - the JInternalFrame whose initial Component is to be returned
      Returns:
        the Component that should receive the focus when frame is selected for the first time, or null if no suitable Component can be found
      Throws:
        `IllegalArgumentException` - if window is null
      See Also:
        `JInternalFrame.getMostRecentFocusOwner()`